program Zeiten_Testen
  integer, parameter :: m=1000, n=800
  character(len=20) :: Datum,Zeit1,Zeit2
  integer :: Zeler1,Zeler2,Zelerrate
  real :: x,x1,x2,t
  real, dimension(m,n) :: A
  integer :: j,k
  call cpu_time(x1)
  call system_clock(Zeler1,Zelerrate)
  call date_and_time(Datum,Zeit1)
  write(*,fmt="(a12,i12)") Zeit1,Zeler1
  do j=1,m
    do k=1,n
      call random_number(x)
      A(j,k)=x
    end do
  end do
  call date_and_time(Datum,Zeit2)
  call system_clock(Zeler2)
  call cpu_time(x2)
  write(*,fmt="(a12,i12)") Zeit2,Zeler2
  t=(float(Zeler2)-float(Zeler1))/float(Zelerrate)
  write(*,fmt=*) m,n,A(m,n),t,x2-x1
  !braucht auf unix1 nur 0.72 Sek.
  !alle drei Zeiten (mit cpu_time, system_clock, date_and_time)
  !stimmen i. w. ueberein. cpu_time nur FORTRAN95.
end program Zeiten_Testen
